Search Results for

Show / Hide Table of Contents

# Class DynamicMenuBarDetails

##### Inheritance

System.Object
Responder
View
FrameView
DynamicMenuBarDetails

##### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize

##### Inherited Members

FrameView.Title
FrameView.Add(View)
FrameView.Remove(View)
FrameView.RemoveAll()
FrameView.Redraw(Rect)
FrameView.Text
FrameView.TextAlignment
FrameView.OnEnter(View)
View.Added
View.Removed
View.Enter
View.Leave
View.MouseEnter
View.MouseLeave
View.MouseClick
View.HotKey
View.HotKeySpecifier
View.Shortcut
View.ShortcutTag
View.ShortcutAction
View.Data
View.Driver
View.Subviews
View.TabIndexes
View.TabIndex
View.TabStop
View.CanFocus
View.Id
View.IsCurrentTop
View.WantMousePositionReports
View.WantContinuousButtonPressed
View.Frame
View.LayoutStyle
View.Bounds
View.X
View.Y
View.Width
View.Height
View.SuperView
View.SetNeedsDisplay()
View.ClearLayoutNeeded()
View.SetNeedsDisplay(Rect)
View.SetChildNeedsDisplay()
View.Add(View[])
View.BringSubviewToFront(View)
View.SendSubviewToBack(View)
View.SendSubviewBackwards(View)
View.BringSubviewForward(View)
View.Clear()
View.Clear(Rect)
View.ScreenToView(Int32, Int32)
View.ClipToBounds()
View.SetClip(Rect)
View.DrawFrame(Rect, Int32, Boolean)
Terminal.Gui.View.DrawHotString(ustring, Terminal.Gui.Attribute, Terminal.Gui.Attribute)
Terminal.Gui.View.DrawHotString(ustring, System.Boolean, Terminal.Gui.ColorScheme)
View.Move(Int32, Int32)
View.PositionCursor()
View.HasFocus
View.OnAdded(View)
View.OnRemoved(View)
View.OnLeave(View)
View.Focused
View.MostFocused
View.ColorScheme
Terminal.Gui.View.AddRune(System.Int32, System.Int32, Rune)
View.ClearNeedsDisplay()
View.DrawContent
View.OnDrawContent(Rect)
View.SetFocus()
View.KeyPress
View.ProcessKey(KeyEvent)
View.ProcessHotKey(KeyEvent)
View.ProcessColdKey(KeyEvent)
View.KeyDown
View.OnKeyDown(KeyEvent)
View.KeyUp
View.OnKeyUp(KeyEvent)
View.EnsureFocus()
View.FocusFirst()
View.FocusLast()
View.FocusPrev()
View.FocusNext()
View.LayoutStarted
View.LayoutComplete
View.Initialized
View.LayoutSubviews()
View.AutoSize
View.VerticalTextAlignment
View.TextDirection
View.IsInitialized
View.ToString()
View.OnMouseEnter(MouseEvent)
View.OnMouseLeave(MouseEvent)
View.OnMouseEvent(MouseEvent)
View.OnMouseClick(View.MouseEventArgs)
View.Dispose(Boolean)
View.BeginInit()
View.EndInit()
View.Visible
View.SetWidth(Int32, Int32)
View.SetHeight(Int32, Int32)
View.GetCurrentWidth(Int32)
View.GetCurrentHeight(Int32)
Responder.MouseEvent(MouseEvent)
Responder.Dispose()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: UICatalog

###### Assembly: UICatalog.dll

##### Syntax

    public class DynamicMenuBarDetails : FrameView, IDisposable, ISupportInitializeNotification, ISupportInitialize

### Constructors

#### DynamicMenuBarDetails(MenuItem, Boolean)

##### Declaration

    public DynamicMenuBarDetails(MenuItem menuItem = null, bool hasParent = false)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuItem | menuItem |
System.Boolean | hasParent |

#### DynamicMenuBarDetails(ustring)

##### Declaration

    public DynamicMenuBarDetails(ustring title)

##### Parameters

Type | Name | Description
--- | --- | ---
ustring | title |

### Fields

#### _ckbIsTopLevel

##### Declaration

    public CheckBox _ckbIsTopLevel

##### Field Value

Type | Description
--- | ---
CheckBox |

#### _ckbSubMenu

##### Declaration

    public CheckBox _ckbSubMenu

##### Field Value

Type | Description
--- | ---
CheckBox |

#### _menuItem

##### Declaration

    public MenuItem _menuItem

##### Field Value

Type | Description
--- | ---
MenuItem |

#### _rbChkStyle

##### Declaration

    public RadioGroup _rbChkStyle

##### Field Value

Type | Description
--- | ---
RadioGroup |

#### _txtAction

##### Declaration

    public TextView _txtAction

##### Field Value

Type | Description
--- | ---
TextView |

#### _txtHelp

##### Declaration

    public TextField _txtHelp

##### Field Value

Type | Description
--- | ---
TextField |

#### _txtShortcut

##### Declaration

    public TextField _txtShortcut

##### Field Value

Type | Description
--- | ---
TextField |

#### _txtTitle

##### Declaration

    public TextField _txtTitle

##### Field Value

Type | Description
--- | ---
TextField |

### Methods

#### CreateAction(MenuItem, DynamicMenuItem)

##### Declaration

    public Action CreateAction(MenuItem menuItem, DynamicMenuItem item)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuItem | menuItem |
DynamicMenuItem | item |

##### Returns

Type | Description
--- | ---
System.Action |

#### EditMenuBarItem(MenuItem)

##### Declaration

    public void EditMenuBarItem(MenuItem menuItem)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuItem | menuItem |

#### EnterMenuItem()

##### Declaration

    public DynamicMenuItem EnterMenuItem()

##### Returns

Type | Description
--- | ---
DynamicMenuItem |

#### UpdateParent(ref MenuItem)

##### Declaration

    public void UpdateParent(ref MenuItem menuItem)

##### Parameters

Type | Name | Description
--- | --- | ---
MenuItem | menuItem |

### Implements

System.IDisposable
System.ComponentModel.ISupportInitializeNotification
System.ComponentModel.ISupportInitialize